<script lang="ts">
  export let phase: Phase;
  export let user: PlayerState | undefined;
</script>

{#if phase.k === "Placing"}
  {#if user?.id === phase.v.player}
    Place or discard a card.
  {:else}
    <gs6-user playerid={phase.v.player} /> must place or discard a card.
  {/if}
{:else if phase.k === "Drawing"}
  {#if user?.id === phase.v.player}
    Draw a card.
  {:else}
    <gs6-user playerid={phase.v.player} /> must draw a card.
  {/if}
{/if}
